Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.condition
Class IsFalse

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.taskdefs.condition.IsFalse

All Implemented Interfaces:
  java.lang.Cloneable, Condition

    public class IsFalse

extends ProjectComponent
implements Condition

Condition that tests whether a given string evals to false

Since:
  Ant 1.5

Field Summary

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`IsFalse()`

Method Summary
`boolean` | `eval()` Is this condition true?
`void` | `setValue(boolean value)` set the value to be tested; let ant eval it to true/false

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IsFalse

    public IsFalse()

Method Detail

### setValue

    public void setValue(boolean value)

  set the value to be tested; let ant eval it to true/false

  Parameters:
    `value` - the value to test

### eval

    public boolean eval()
                 throws BuildException

  Description copied from interface: `Condition`
  Is this condition true?

  Specified by:
    `eval` in interface `Condition`
  Returns:
    the inverted value;
  Throws:
    `BuildException` - if someone forgot to spec a value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD